package de.apps4ics.mountainnavigation.pois;

/**
 * Created by Vinz on 03.11.2015.
 */
public class BreakPoint extends Poi {
    int stone;
    int bench;
    int table;
    int roofed;

    public BreakPoint(long _id) {
        super(_id, Types.BREAK_POINT);
    }
    public BreakPoint(){
        super(Types.BREAK_POINT);
    }
    public BreakPoint(long _id, int stone, int bench, int table, int roofed, DbGeoPoint gp){
        super(_id, Types.BREAK_POINT, gp);
        this.stone = stone;
        this.bench = bench;
        this.table = table;
        this.roofed = roofed;
    }

    public int getStone() {
        return stone;
    }

    public int getBench() {
        return bench;
    }

    public int getTable() {
        return table;
    }

    public int getRoofed() {
        return roofed;
    }
}